import { BaseXform } from "../base-xform.js";
interface DrawingModel {
    anchors: any[];
}
declare class DrawingXform extends BaseXform {
    map: {
        [key: string]: any;
    };
    parser: any;
    model: DrawingModel;
    constructor();
    prepare(model: DrawingModel): void;
    get tag(): string;
    render(xmlStream: any, model?: DrawingModel): void;
    parseOpen(node: any): boolean;
    parseText(text: string): void;
    parseClose(name: string): boolean;
    reconcile(model: DrawingModel, options: any): void;
    static DRAWING_ATTRIBUTES: {
        "xmlns:xdr": string;
        "xmlns:a": string;
    };
}
export { DrawingXform };
